;;; org-init --- The entry point for Org extension
;;; Commentary:
;;; Code:

(defun org-setup ()
  (add-hook 'completion-at-point-functions 'pcomplete-completions-at-point nil t)
  (setq org-agenda-files '("~/orgs/main.org"))
  ;; Need to be set in ~/.fg42.el
  ;; (setq org-directory "~/orgs/")
  (setq org-default-notes-file (concat org-directory "/notes.org"))

  (require 'org-bullets)
  (org-bullets-mode 1)

  (define-key org-mode-map (kbd "C-c a") #'org-agenda))

;;;###autoload
(defun extensions/org-initialize ()
  "Initialize Rust extension."
  (add-hook 'org-mode-hook #'org-setup))


(provide 'extensions/org/init)
;;; init.el ends here
